Cudy X6 Installation error on stock firmware

Hello,
For last few days, I am trying to update firmware of my cudy X6 Openwrt router to latest. (openwrt-23.05.3-ramips-mt7621-cudy_x6-v1-squashfs-sysupgrade.bin) Some how from older version of OpenWrt, It failed so I have to use tftp method to restore original firmware. Now with original firmware, If I tried to upload any openwrt, I am getting following error. can any one help ?

Below image is from stock firmware and not openwrt.

You have to install cudy openwrt, then sysupgrade to openwrt.

make sure you're using the correct version of the openwrt image, there's a v2 now.

https://git.openwrt.org/?p=openwrt%2Fopenwrt.git&a=search&h=HEAD&st=commit&s=cudy+x6

I figured out. There was V2 Version, that caused confusion. I installed everything from scratch. How ever it looks newer version is not stable. Its restarting without any reason. Will post log.. soon